name: Masa Ueda
locality:
country: Remote
role: <a href="">Senior Channel Sales Manager</a>
reports_to: ameliaseow
picture: MasaUeda.png
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: mueda1
departments:
  - Sales
  - Channels
specialty: 
expertise:
story: Joined on 2021-03-01

